package com.company.audioEffekte;

import java.util.Scanner;

public class main {

    public static void main(String[] args) {
        AudioEffectPlayer player = new AudioEffectPlayer();
        Scanner scanner = new Scanner(System.in);

        MP3Effekt mp3 = new MP3Effekt("MP3 File");
        WAVEffect WAV = new WAVEffect("WAV File");
        OGGEffekt OGG = new OGGEffekt("OGG File");

        int bisStop = 0;
        String programmAuswahl = "";


        System.out.println("Wählen sie bitte eine der folgende Aktionen aus: ");
        System.out.println("add = Fügt ein Effekt hinzu (mp3; OGG; WAV) ");
        System.out.println("rem = Löscht ein Effect im ausgewählten Platz ");
        System.out.println("show = Zeigt den Effect auf dem jeweiligen Platz an ");
        System.out.println("showall = Zeigt alle Effecte an ");
        System.out.println("x = Programm beenden");

        while (bisStop != 1) {

            programmAuswahl = scanner.nextLine().replace("-", "");

            if (programmAuswahl.equals("add")) {
                System.out.println("Welcher Effect soll hinzugefügt werden? ");
                String neuerADD = scanner.nextLine().replace("-", "");
                if (neuerADD.equals("mp3")) {
                    player.addEffect(mp3);
                    System.out.println("mp3 hinzugefügt");
                } else if (neuerADD.equals("OGG")) {
                    player.addEffect(OGG);
                    System.out.println("OGG hinzugefügt");
                } else if (neuerADD.equals("WAV")) {
                    player.addEffect(WAV);
                    System.out.println("WAV hinzugefügt");
                } else {
                    System.out.println("Effekt nicht verfügbar");
                }

            }else if (programmAuswahl.equals("rem")) {
                System.out.println("Welcher Platz soll gelöscht werden? ");
                int NeuerREM = Integer.parseInt(scanner.nextLine().replace("-", ""));
                player.removeEffect(NeuerREM);

            }else if (programmAuswahl.equals("show")) {

                System.out.println("Welcher Platz soll ausgelesen werden? ");
                int neuerSHOW = Integer.parseInt(scanner.nextLine().replace("-", ""));
                player.play(neuerSHOW);
            }else if (programmAuswahl.equals("showall")) {
                for(int q = 0; 20 > q; q++){
                    player.play(q);
                }
            }else if (programmAuswahl.equals("x")) {
                bisStop = 1;
            }else{
                System.out.println("Programm existiert nicht");
            }
        }
        System.out.println("!!!!! Programm wurde beendet oder ist abgestürtzt !!!!!");
    }
}