package com.company.pruefnummern;
import java.util.Scanner;

public class EinkaufwagenNummerJasminFehler {

        public static void main(String[] args) {
        //Einagbe der Kennnummer
            try (Scanner scanner = new Scanner(System.in)) {
                System.out.println("Bitte Kennnummer angeben: ");
                String kennnummer = scanner.nextLine().replace("-", "");

            //Überprüfen der Länge
                if (kennnummer.length() != 4) {
                    System.out.print("Ungültige Länge!");
                    return;
                }

            //Gewichtung
                int gewichtung = 0;
                for (int i = 0; i < kennnummer.length() - 1; i++) {
                    char cur = kennnummer.charAt(i);
                    gewichtung += Character.getNumericValue(cur) * (i % 2 == 0 ? 1 : 1);
                }

            //Prüfziffer aus Kennnummer entfernen
                int minusPrüfziffer = kennnummer.charAt(kennnummer.length() - 1);

            //Die Prüfziffer der Kennnummer mit der fehlenden Prüfziffer berechnen
            int kennnummerPrüfziffer = Character.getNumericValue(minusPrüfziffer);
            int prüfziffer = 10 - gewichtung % 10;

            //Ausgabe
                if (kennnummerPrüfziffer != prüfziffer) {
                    System.out.println("Kennnummer ist nicht gültig!"+"Die Prüfziffer lautet:" + prüfziffer);
                } else {
                    System.out.println("Kennnummer is korrekt!");
                }

            }
        }
    }


